package com.sxtvs.open.api.review.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class AuthReq {

    @JSONField(name = "userName")
    private String userName;
    @JSONField(name = "domainId")
    private String domainId;
    @JSONField(name = "appId")
    private String appId;
    @JSONField(name = "clientId")
    private String clientId;
    @JSONField(name = "clientSecret")
    private String clientSecret;

    public AuthReq(String userName, String domainId, String appId, String clientId, String clientSecret) {
        this.userName = userName;
        this.domainId = domainId;
        this.appId = appId;
        this.clientId = clientId;
        this.clientSecret = clientSecret;
    }
}
